Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.

Token Management

Create Token

post

Important: Use this operation only when the end user is interacting with the merchant website or application and when a fast response time is important. It takes in average 2-3 seconds to obtain a token with this operation. For all other use cases, it is preferred to use the operation 'createAsyncToken'.

Create a network token from card details.

ETP contacts the Scheme TSP to get the network token.

Parámetros de encabezado
authorizationstring · mín: 1 · máx: 512Requerido

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · mín: 1 · máx: 36Requerido

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Cuerpo
merchantIdstring · mín: 1 · máx: 128Requerido

Identifier of the merchant provided by Thales at on-boarding.

encryptedDatastring · mín: 1 · máx: 8196Requerido

The user and card information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
fpanThe funding pan to tokenize.
Value expected when 'source' parameter is 'MANUAL' or 'ON_FILE'.
CUp to 19
expThe expiry date in format MMYY.
Value expected when 'source' parameter is 'MANUAL' or 'ON_FILE'.
Optional when VCES feature is activated for VISA
C4
tokenToken number.
Value expected when 'source' parameter is 'TOKEN'.
CUp to 19
nameThe card holder name in the format FIRSTNAME LASTNAME or as written on the card. MDES limits the length to 27 characters so ETP may truncate the provided value.
This parameter is mandatory for Discover card tokenization.
O256
cvvThe security code.
It can help the issuer in the decision of approving the payment.
O3 or 4
accountIdThe card holder account identifier defined by the Merchant.
It can help the issuer in the decision of approving the payment.
O24
emailThe card holder email.
This parameter is mandatory for AMEX card tokenization.
O128

Example: {"fpan":"5123456789012345", "exp":"0822", "name":"JOHN DOE", "cvv":"123", "accountId":"johndoe", "email":"[email protected]"}

sourcestring · enum · máx: 32Requerido

The card info entry mode.
'MANUAL' It can help the issuer in the decision of approving the payment.
'TOKEN' is allowed just for Visa, used by token per token feature

Valores posibles:
languagestring · mín: 2 · máx: 2Requerido

Card holder language in ISO-639-1 two-letter language code.

Default: enExample: en
countrystring · mín: 2 · máx: 2Requerido

Card holder country in ISO-3166-1 alpha-2 two-letter country code.

Example: US
Respuestas
post
/tokens

Create Async Token

post

Create a network token from card details.

ETP contacts the Scheme TSP to get the network token.

The process is asynchronous. It takes few seconds to get the callback except for VISA where it takes from 10 minutes to several hours.

A notification 'notifyTokenCreation' is sent to the Merchant/PSP to complete the token creation process.

The notification shares the same 'x-correlation-id' as in the create token request.

Parámetros de encabezado
authorizationstring · mín: 1 · máx: 512Requerido

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · mín: 1 · máx: 36Requerido

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Cuerpo
merchantIdstring · mín: 1 · máx: 128Requerido

Identifier of the merchant provided by Thales at on-boarding.

encryptedDatastring · mín: 1 · máx: 8196Requerido

The user and card information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
fpanThe funding pan to tokenize.MUp to 19
expThe expiry date in the format MMYY.
Optional when VCES feature is activated for VISA
C4
nameThe card holder name in the format FIRSTNAME LASTNAME or as written on the card. MDES limits the length to 27 characters so ETP may truncate the provided value.
This parameter is mandatory for Discover card tokenization.
O256
cvvThe security code.
It can help the issuer in the decision of approving the payment.
O3 or 4
accountIdThe card holder account identifier defined by the Merchant.
It can help the issuer in the decision of approving the payment.
O24
emailThe card holder email.
This parameter is mandatory for AMEX card tokenization.
O128

Example: {"fpan":"5123456789012345", "exp":"0822", "name":"JOHN DOE", "cvv":"123", "accountId":"johndoe", "email":"[email protected]"}

sourcestring · enum · máx: 32Requerido

The card info entry mode.
'MANUAL' It can help the issuer in the decision of approving the payment.

Valores posibles:
languagestring · mín: 2 · máx: 2Requerido

Card holder language in ISO-639-1 two-letter language code.

Default: enExample: en
countrystring · mín: 2 · máx: 2Requerido

Card holder country in ISO-3166-1 alpha-2 two-letter country code.

Example: US
Respuestas
post
/async-tokens

Sin contenido

Create PCI Token

post

Create a PCI token from card details.

The Scheme TSP is not involved in the creation of the token.

ETP stores securely the card details and returns a token identifier to the Merchant/PSP.

In case of successful response, the Merchant/PSP can directly request for a transaction. No notification is sent (contrary to network tokens).

Parámetros de encabezado
authorizationstring · mín: 1 · máx: 512Requerido

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · mín: 1 · máx: 36Requerido

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Cuerpo
merchantIdstring · mín: 1 · máx: 128Requerido

Identifier of the merchant provided by Thales at on-boarding.

encryptedDatastring · mín: 1 · máx: 8196Requerido

The user and card information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
fpanThe funding pan to tokenize.MUp to 19
expThe expiry date in the format MMYY.M4

Example: {"fpan":"5123456789012345", "exp":"0822"}

Respuestas
post
/pci-tokens

Create Push Token

post

Create a network token from information provided by the Issuer to the Merchant application in a push provisioning use case (Visa and Mastercard only).

Parámetros de encabezado
authorizationstring · mín: 1 · máx: 512Requerido

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · mín: 1 · máx: 36Requerido

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Cuerpo
merchantIdstring · mín: 1 · máx: 128Requerido

Identifier of the merchant provided by Thales at on-boarding.

pushProvisioningPayloadstring · mín: 1 · máx: 8196Requerido

The push provisioning payload provided by the Issuer to the merchant application.

For Mastercard, it corresponds to the 'pushAccountReceipt'.

For Visa, it corresponds to the 'encPaymentInstrument'.

schemestring · enum · máx: 32Requerido

The card primary scheme.

Example: MASTERCARDValores posibles:
encryptedDatastring · mín: 1 · máx: 8196Opcional

The user information encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
accountIdThe card holder account identifier defined by the Merchant.O24
emailThe card holder email.O128

Example: {"accountId:"johndoe", "email":"[email protected]"}

languagestring · mín: 2 · máx: 2Requerido

Card holder language in ISO-639-1 two-letter language code.

Default: enExample: en
countrystring · mín: 2 · máx: 2Requerido

Card holder country in ISO-3166-1 alpha-2 two-letter country code.

Example: US
Respuestas
post
/push-tokens

Get Token

get

Retrieve information about a token.

For EMV Tokens, the information provided depends on what the Issuer has declared in the Scheme TSP.

For PCI Tokens, only "basic" information related to the card is provided:

  • Card last digits.

  • Card expiry date.

  • Card Scheme if recognized.

Parámetros de ruta
tokenIdstring · máx: 128Requerido

The token identifier.

Parámetros de encabezado
authorizationstring · mín: 1 · máx: 512Requerido

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · mín: 1 · máx: 36Requerido

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Respuestas
200

OK

application/json
merchantIdstring · mín: 1 · máx: 128Opcional

Identifier of the merchant provided by Thales at on-boarding.

cardBinstring · mín: 6 · máx: 8Opcional

The card bin returned by the scheme, just available for VISA and Mastercard SCOF.

Example: 453421
cardLastDigitsstring · máx: 5Opcional

The card last digits.

Example: 2366
cardExpiryDatestring · máx: 4Opcional

The card expiry date in format MMYY.

Example: 0420
tokenStatestring · enum · máx: 64Requerido

Token state.
PCI token state can only be 'ACTIVE' or 'DELETED'.

Example: ACTIVEValores posibles:
tokenLastDigitsstring · máx: 5Opcional

The token last digits.

Example: 5589
tokenExpiryDatestring · máx: 4Opcional

The token expiry date in format MMYY. This information can be missing. It is intended for display only at this step.
Rely on token expiry date in create transaction response for storage.

Example: 1022
parstring · máx: 29Opcional

Payment Account Reference returned by the Scheme TSP.

Example: 5001a9f027e5629d11e3949a0800a
vProvisionedTokenIdstring · mín: 1 · máx: 36Opcional

Specific to Visa. Another token identifier that shall be used only with Visa Cloud Token Framework.

deviceBindingsstring[]Opcional

The list of device identifiers bound to the token.

creationTimestampstring · máx: 64Requerido

Token creation timestamp compliant with ISO 8601.

Example: 2025-11-10T09:08:24.479Z
lastUpdateTimestampstring · máx: 64Opcional

Token last update timestamp compliant with ISO 8601. Provided only in case the token was updated after its creation.

Example: 2025-11-13T11:012:41.165Z
get
/tokens/{tokenId}

Delete Token

delete

Delete a token.

Parámetros de ruta
tokenIdstring · máx: 128Requerido

The token identifier.

Parámetros de encabezado
authorizationstring · mín: 1 · máx: 512Requerido

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · mín: 1 · máx: 36Requerido

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Respuestas
delete
/tokens/{tokenId}

Sin contenido

Get Asset

get

Returns an asset ressource (image, text). The assetId associated to an asset never changes so the response can be cached by the API consumer.

Parámetros de ruta
assetIdstring · máx: 128Requerido

The unique asset identifier.

Parámetros de encabezado
authorizationstring · mín: 1 · máx: 512Requerido

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

Respuestas
200

OK

application/json
mediaTypestring · enum · máx: 64Requerido

The media type of the asset.

Valores posibles:
encodedDatastringRequerido

The asset encoded in base64.

heightstring · máx: 10Opcional

The asset height specified in pixels.

widthstring · máx: 10Opcional

The asset width specified in pixels.

get
/assets/{assetId}

Última actualización

¿Te fue útil?